[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.MouseUp

Handles a mouse up message that ends a drag operation for a control band.

## Declaration

Source position: extctrls.pp line 1641

`protected procedure TCustomControlBar.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the notification.
`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse event.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## Description

MouseUp is an overridden method in TCustomControlBar. It calls the inherited method on entry to signal the OnMouseUp event handler (when assigned). If the control is currently moving one of its bands, the internal flag is reset to reflect the end of the drag operation. ChangeCursor is called to restore the default cursor shape. SortVisibleBands is called to sort the visible bands on the control by their display coordinates (Left and Top).

MouseUp is called when the LM_LBUTTONUP message is handled for the control.

## See also

TCustomControlBar.ChangeCursor |  | Changes the cursor to the specified shape.
TCustomControlBar.SortVisibleBands |  | Calculates the number of visible bands (and controls) and optionally sorts visible bands to reflect their Top and Left coordinates.
TControl.MouseUp |  | Signals the OnMouseUp handler.
TControl.OnMouseUp |  | Event handler signalled when a mouse up event is handled for the control.
TControl.DoMouseUp |  | Performs actions needed to handle a mouse up event for the control.